Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBProduct

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBProduct

All Implemented Interfaces:
  CIBObjectMBean, CIBProductIf, CIBProductMBean, javax.management.MBeanRegistration

public class CIBProduct
extends CIBObject
implements CIBProductMBean, CIBProductIf

Default implementation of a CIB product MBean

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBProductMBean
`defaultVendor`

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBProduct()`
`CIBProduct(java.lang.String theProductName, java.lang.String theProductVersion, java.lang.String thePatchId, long theInstallTime, java.lang.String theVendorName)`

Method Summary
`void` | `addApplication(javax.management.ObjectName applObjectName)` Add an application ObjectName into the CIBProduct object.
`javax.management.ObjectName` | `getApplicationByName(java.lang.String name)` Returns the ObjectName for a given application
`javax.management.ObjectName[]` | `getApplications()` Returns the list of ObjectName(s) of each Application instances running into the Product
`long` | `getInstallTime()` Returns the installation time of the component product
`java.lang.String` | `getPatchId()` Returns the PatchID String which represents the path revision applied to the Componet product
`java.lang.String` | `getProductName()` Returns the product name
`java.lang.String` | `getProductVersion()` Provides the product version
`java.lang.String` | `getVendorName()` Returns as a String the Vendor name.
`void` | `removeApplication(javax.management.ObjectName applObjectName)` remove an application object name from the CIBProduct
`void` | `setInstallTime(long date)` Allow to set the installtime date
`void` | `setPatchId(java.lang.String productPatchId)` Allow to set the patchId
`void` | `setProductName(java.lang.String productName)` Allows to set the ProductName of the product
`void` | `setVendorName(java.lang.String vendorName)` Allow to set the vendor name
`void` | `setVersion(java.lang.String productVersion)` Allow to set the version of the product

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Constructor Detail

### CIBProduct

    public CIBProduct()

### CIBProduct

    public CIBProduct(java.lang.String theProductName,
                      java.lang.String theProductVersion,
                      java.lang.String thePatchId,
                      long theInstallTime,
                      java.lang.String theVendorName)

Method Detail

### addApplication

    public void addApplication(javax.management.ObjectName applObjectName)

  Add an application ObjectName into the CIBProduct object.

  Specified by:
    `addApplication` in interface `CIBProductIf`
  Parameters:
    `applObjectName` - ObjectName

### removeApplication

    public void removeApplication(javax.management.ObjectName applObjectName)
                           throws CIBException

  remove an application object name from the CIBProduct

  Specified by:
    `removeApplication` in interface `CIBProductIf`
  Parameters:
    `applObjectName` - ObjectName
  Throws:
    `CIBException`

### setProductName

    public void setProductName(java.lang.String productName)

  Allows to set the ProductName of the product

  Specified by:
    `setProductName` in interface `CIBProductIf`
  Parameters:
    `productName` - String

### setVersion

    public void setVersion(java.lang.String productVersion)

  Allow to set the version of the product

  Specified by:
    `setVersion` in interface `CIBProductIf`
  Parameters:
    `productVersion` - String

### setPatchId

    public void setPatchId(java.lang.String productPatchId)

  Allow to set the patchId

  Specified by:
    `setPatchId` in interface `CIBProductIf`
  Parameters:
    `productPatchId` - String

### setInstallTime

    public void setInstallTime(long date)

  Allow to set the installtime date

  Specified by:
    `setInstallTime` in interface `CIBProductIf`
  Parameters:
    `date` - long

### setVendorName

    public void setVendorName(java.lang.String vendorName)

  Description copied from interface: `CIBProductIf`
  Allow to set the vendor name

  Specified by:
    `setVendorName` in interface `CIBProductIf`
  Parameters:
    `vendorName` - String

### getProductName

    public java.lang.String getProductName()
                                    throws javax.management.InvalidAttributeValueException

  Returns the product name

  Specified by:
    `getProductName` in interface `CIBProductMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getProductVersion

    public java.lang.String getProductVersion()
                                       throws javax.management.InvalidAttributeValueException

  Provides the product version

  Specified by:
    `getProductVersion` in interface `CIBProductMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getPatchId

    public java.lang.String getPatchId()

  Returns the PatchID String which represents the path revision applied to the Componet product

  Specified by:
    `getPatchId` in interface `CIBProductMBean`
  Returns:
    String

### getVendorName

    public java.lang.String getVendorName()
                                   throws javax.management.InvalidAttributeValueException

  Returns as a String the Vendor name.

  Specified by:
    `getVendorName` in interface `CIBProductMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getInstallTime

    public long getInstallTime()

  Returns the installation time of the component product

  Specified by:
    `getInstallTime` in interface `CIBProductMBean`
  Returns:
    long

### getApplications

    public javax.management.ObjectName[] getApplications()

  Returns the list of ObjectName(s) of each Application instances running into the Product

  Specified by:
    `getApplications` in interface `CIBProductMBean`
  Returns:
    ObjectName[]

### getApplicationByName

    public javax.management.ObjectName getApplicationByName(java.lang.String name)

  Returns the ObjectName for a given application

  Specified by:
    `getApplicationByName` in interface `CIBProductMBean`
  Parameters:
    `name` - String
  Returns:
    ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD